BMA EHR API Document

Loading...
Searching...
No Matches
Public Member Functions | Properties | List of all members
BMA.EHR.Application.Repositories.GenericRepository< S, T > Class Template Reference
Inheritance diagram for BMA.EHR.Application.Repositories.GenericRepository< S, T >:

## Public Member Functions
| GenericRepository (IApplicationDBContext dbContext, IHttpContextAccessor httpContextAccessor)
async Task< Guid > | GetProfileOrganizationAsync (string citizenId)
async Task< bool > | CheckIsActiveOfficerAsync (string citizenId)
virtual async Task< IReadOnlyList< T > > | GetAllAsync ()
virtual async Task< T?> | GetByIdAsync (S id)
virtual async Task< T > | AddAsync (T entity)
virtual async Task< T > | UpdateAsync (T entity)
virtual async Task | DeleteAsync (T entity)

## Properties
string? | UserId`[get]`
string? | FullName`[get]`
bool? | IsPlacementAdmin`[get]`

## Constructor & Destructor Documentation

## ◆ GenericRepository()

BMA.EHR.Application.Repositories.GenericRepository< S, T >.GenericRepository | ( | IApplicationDBContext | dbContext,
|  | IHttpContextAccessor | httpContextAccessor
| ) |  |
| inline

## Member Function Documentation

## ◆ AddAsync()

virtual async Task< T > BMA.EHR.Application.Repositories.GenericRepository< S, T >.AddAsync | ( | T | entity | ) |
| inline virtual

Implements BMA.EHR.Application.Common.Interfaces.IGenericRepository< S, T >.

## ◆ CheckIsActiveOfficerAsync()

async Task< bool > BMA.EHR.Application.Repositories.GenericRepository< S, T >.CheckIsActiveOfficerAsync | ( | string | citizenId | ) |
| inline

## ◆ DeleteAsync()

virtual async Task BMA.EHR.Application.Repositories.GenericRepository< S, T >.DeleteAsync | ( | T | entity | ) |
| inline virtual

Implements BMA.EHR.Application.Common.Interfaces.IGenericRepository< S, T >.

## ◆ GetAllAsync()

virtual async Task< IReadOnlyList< T > > BMA.EHR.Application.Repositories.GenericRepository< S, T >.GetAllAsync | ( |  | ) |
| inline virtual

Implements BMA.EHR.Application.Common.Interfaces.IGenericRepository< S, T >.

Reimplemented in BMA.EHR.Application.Repositories.Commands.CommandRepository.

## ◆ GetByIdAsync()

virtual async Task< T?> BMA.EHR.Application.Repositories.GenericRepository< S, T >.GetByIdAsync | ( | S | id | ) |
| inline virtual

Implements BMA.EHR.Application.Common.Interfaces.IGenericRepository< S, T >.

## ◆ GetProfileOrganizationAsync()

async Task< Guid > BMA.EHR.Application.Repositories.GenericRepository< S, T >.GetProfileOrganizationAsync | ( | string | citizenId | ) |
| inline

## ◆ UpdateAsync()

virtual async Task< T > BMA.EHR.Application.Repositories.GenericRepository< S, T >.UpdateAsync | ( | T | entity | ) |
| inline virtual

Implements BMA.EHR.Application.Common.Interfaces.IGenericRepository< S, T >.

## Property Documentation

## ◆ FullName

string? BMA.EHR.Application.Repositories.GenericRepository< S, T >.FullName
| get protected

## ◆ IsPlacementAdmin

bool? BMA.EHR.Application.Repositories.GenericRepository< S, T >.IsPlacementAdmin
| get protected

## ◆ UserId

string? BMA.EHR.Application.Repositories.GenericRepository< S, T >.UserId
| get protected

The documentation for this class was generated from the following file:

- BMA.EHR.Application/Repositories/GenericRepository.cs